BookingService の作成
名前空間: microsoft.graph
指定した bookingBusiness の 新しい bookingService を作成します。
アクセス許可
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校のアカウント) | Bookings.ReadWrite.All, Bookings.Manage.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | サポートされていません。 |
HTTP 要求
POST /solutions/bookingBusinesses/{id}/services
要求ヘッダー
| 名前 | 説明 |
|---|---|
| Authorization | ベアラー {code}。 必須です。 |
要求本文
要求本文で、bookingService オブジェクトの JSON 表記 を指定 します。
応答
成功した場合、このメソッドは応答コードと、応答本文 201 Created の bookingService オブジェクトを返します。
例
要求
要求の例を次に示します。
POST https://graph.microsoft.com/v1.0/solutions/bookingBusinesses/Contosolunchdelivery@contoso.onmicrosoft.com/services
Content-type: application/json
{
"@odata.type":"#microsoft.graph.bookingService",
"defaultDuration":"PT1H30M",
"defaultLocation":{
"@odata.type":"#microsoft.graph.location",
"address":{
"@odata.type":"#microsoft.graph.physicalAddress",
"city":"Buffalo",
"countryOrRegion":"USA",
"postalCode":"98052",
"postOfficeBox":null,
"state":"NY",
"street":"4567 First Street",
"type@odata.type":"#microsoft.graph.physicalAddressType",
"type":null
},
"coordinates":null,
"displayName":"Contoso Lunch Delivery",
"locationEmailAddress":null,
"locationType@odata.type":"#microsoft.graph.locationType",
"locationType":null,
"locationUri":null,
"uniqueId":null,
"uniqueIdType@odata.type":"#microsoft.graph.locationUniqueIdType",
"uniqueIdType":null
},
"defaultPrice":10.0,
"defaultPriceType@odata.type":"#microsoft.graph.bookingPriceType",
"defaultPriceType":"fixedPrice",
"defaultReminders@odata.type":"#Collection(microsoft.graph.bookingReminder)",
"defaultReminders":[
{
"@odata.type":"#microsoft.graph.bookingReminder",
"message":"Please be reminded that this service is tomorrow.",
"offset":"P1D",
"recipients@odata.type":"#microsoft.graph.bookingReminderRecipients",
"recipients":"allAttendees"
}
],
"description":"Individual bento box lunch delivery",
"displayName":"Bento",
"isLocationOnline": true,
"smsNotificationsEnabled": true,
"isHiddenFromCustomers":false,
"notes":"Home-cooked special",
"postBuffer":"PT10M",
"preBuffer":"PT5M",
"schedulingPolicy":{
"@odata.type":"#microsoft.graph.bookingSchedulingPolicy",
"allowStaffSelection":true,
"maximumAdvance":"P10D",
"minimumLeadTime":"PT10H",
"sendConfirmationsToOwner":true,
"timeSlotInterval":"PT1H"
},
"staffMemberIds@odata.type":"#Collection(String)",
"staffMemberIds":[
"d90d1e8c-5cfe-48cf-a2d5-966267375b6a",
"2f5f8794-0b29-45b5-b56a-2eb5ff7aa880"
]
}
応答
応答の例を次に示します。
注: ここに示す応答オブジェクトは、読みやすさのために短縮されている場合があります。
HTTP/1.1 201 Created
Content-type: application/json
{
"@odata.context": "https://graph.microsoft.com/v1.0/solutions/$metadata#bookingBusinesses('Contosolunchdelivery%40contoso.onmicrosoft.com')/services/$entity",
"id": "57da6774-a087-4d69-b0e6-6fb82c339976",
"displayName": "Bento",
"defaultDuration": "PT1H30M",
"defaultPrice": 10,
"defaultPriceType": "fixedPrice",
"description": "Individual bento box lunch delivery",
"isHiddenFromCustomers": false,
"notes": "Home-cooked special",
"preBuffer": "PT5M",
"postBuffer": "PT10M",
"staffMemberIds": [],
"isLocationOnline": true,
"smsNotificationsEnabled": true,
"webUrl": "https://outlook.office365.com/owa/calendar/Contosolunchdelivery@contoso.onmicrosoft.com/bookings/s/gkcGIq92Z0u5h4FWB9Qgcg2",
"defaultLocation": {
"displayName": "Contoso Lunch Delivery",
"locationEmailAddress": null,
"locationUri": "",
"locationType": null,
"uniqueId": null,
"uniqueIdType": null,
"address": {
"street": "4567 First Street",
"city": "Buffalo",
"state": "NY",
"countryOrRegion": "USA",
"postalCode": "98052"
},
"coordinates": {
"altitude": null,
"latitude": null,
"longitude": null,
"accuracy": null,
"altitudeAccuracy": null
}
},
"defaultReminders": [
{
"offset": "P1D",
"recipients": "allAttendees",
"message": "Please be reminded that this service is tomorrow."
}
],
"schedulingPolicy": {
"timeSlotInterval": "PT1H",
"minimumLeadTime": "PT10H",
"maximumAdvance": "P10D",
"sendConfirmationsToOwner": true,
"allowStaffSelection": true
}
}
フィードバック
フィードバックの送信と表示